org.jfree.chart.plot

## Interface Zoomable

- All Known Implementing Classes:
    CombinedDomainXYPlot, CombinedRangeXYPlot, FastScatterPlot, XYPlot

      public interface Zoomable

  A plot that is zoomable must implement this interface to provide a mechanism for the `ChartPanel` to control the zooming.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlotOrientation` | `getOrientation()` Returns the orientation of the plot.
    `boolean` | `isDomainZoomable()` Returns `true` if the plot's domain is zoomable, and `false` otherwise.
    `boolean` | `isRangeZoomable()` Returns `true` if the plot's range is zoomable, and `false` otherwise.
    `void` | `zoomDomainAxes(double lowerPercent, double upperPercent, PlotRenderingInfo state, java.awt.geom.Point2D source)` Zooms in on the domain axes.
    `void` | `zoomDomainAxes(double factor, PlotRenderingInfo state, java.awt.geom.Point2D source)` Multiplies the range on the domain axis/axes by the specified factor.
    `void` | `zoomDomainAxes(double factor, PlotRenderingInfo state, java.awt.geom.Point2D source, boolean useAnchor)` Multiplies the range on the domain axis/axes by the specified factor.
    `void` | `zoomRangeAxes(double lowerPercent, double upperPercent, PlotRenderingInfo state, java.awt.geom.Point2D source)` Zooms in on the range axes.
    `void` | `zoomRangeAxes(double factor, PlotRenderingInfo state, java.awt.geom.Point2D source)` Multiplies the range on the range axis/axes by the specified factor.
    `void` | `zoomRangeAxes(double factor, PlotRenderingInfo state, java.awt.geom.Point2D source, boolean useAnchor)` Multiplies the range on the range axis/axes by the specified factor.

- - ### Method Detail

    - #### isDomainZoomable

          boolean isDomainZoomable()

      Returns `true` if the plot's domain is zoomable, and `false` otherwise.
      Returns:
        A boolean.
      See Also:
        `isRangeZoomable()`

    - #### isRangeZoomable

          boolean isRangeZoomable()

      Returns `true` if the plot's range is zoomable, and `false` otherwise.
      Returns:
        A boolean.
      See Also:
        `isDomainZoomable()`

    - #### getOrientation

          PlotOrientation getOrientation()

      Returns the orientation of the plot.
      Returns:
        The orientation.

    - #### zoomDomainAxes

          void zoomDomainAxes(double factor,
                              PlotRenderingInfo state,
                              java.awt.geom.Point2D source)

      Multiplies the range on the domain axis/axes by the specified factor. The `source` point can be used in some cases to identify a subplot, or to determine the center of zooming (refer to the documentation of the implementing class for details).
      Parameters:
        `factor` - the zoom factor.
        `state` - the plot state.
        `source` - the source point (in Java2D coordinates).
      See Also:
        `zoomRangeAxes(double, PlotRenderingInfo, Point2D)`

    - #### zoomDomainAxes

          void zoomDomainAxes(double factor,
                              PlotRenderingInfo state,
                              java.awt.geom.Point2D source,
                              boolean useAnchor)

      Multiplies the range on the domain axis/axes by the specified factor. The `source` point can be used in some cases to identify a subplot, or to determine the center of zooming (refer to the documentation of the implementing class for details).
      Parameters:
        `factor` - the zoom factor.
        `state` - the plot state.
        `source` - the source point (in Java2D coordinates).
        `useAnchor` - use source point as zoom anchor?
      Since:
        1.0.7
      See Also:
        `zoomRangeAxes(double, PlotRenderingInfo, Point2D, boolean)`

    - #### zoomDomainAxes

          void zoomDomainAxes(double lowerPercent,
                              double upperPercent,
                              PlotRenderingInfo state,
                              java.awt.geom.Point2D source)

      Zooms in on the domain axes. The `source` point can be used in some cases to identify a subplot for zooming.
      Parameters:
        `lowerPercent` - the new lower bound.
        `upperPercent` - the new upper bound.
        `state` - the plot state.
        `source` - the source point (in Java2D coordinates).
      See Also:
        `zoomRangeAxes(double, double, PlotRenderingInfo, Point2D)`

    - #### zoomRangeAxes

          void zoomRangeAxes(double factor,
                             PlotRenderingInfo state,
                             java.awt.geom.Point2D source)

      Multiplies the range on the range axis/axes by the specified factor. The `source` point can be used in some cases to identify a subplot, or to determine the center of zooming (refer to the documentation of the implementing class for details).
      Parameters:
        `factor` - the zoom factor.
        `state` - the plot state.
        `source` - the source point (in Java2D coordinates).
      See Also:
        `zoomDomainAxes(double, PlotRenderingInfo, Point2D)`

    - #### zoomRangeAxes

          void zoomRangeAxes(double factor,
                             PlotRenderingInfo state,
                             java.awt.geom.Point2D source,
                             boolean useAnchor)

      Multiplies the range on the range axis/axes by the specified factor. The `source` point can be used in some cases to identify a subplot, or to determine the center of zooming (refer to the documentation of the implementing class for details).
      Parameters:
        `factor` - the zoom factor.
        `state` - the plot state.
        `source` - the source point (in Java2D coordinates).
        `useAnchor` - use source point as zoom anchor?
      Since:
        1.0.7
      See Also:
        `zoomDomainAxes(double, PlotRenderingInfo, Point2D)`

    - #### zoomRangeAxes

          void zoomRangeAxes(double lowerPercent,
                             double upperPercent,
                             PlotRenderingInfo state,
                             java.awt.geom.Point2D source)

      Zooms in on the range axes. The `source` point can be used in some cases to identify a subplot for zooming.
      Parameters:
        `lowerPercent` - the new lower bound.
        `upperPercent` - the new upper bound.
        `state` - the plot state.
        `source` - the source point (in Java2D coordinates).
      See Also:
        `zoomDomainAxes(double, double, PlotRenderingInfo, Point2D)`